# Get Payers

Payers are bill payment, cash pickup, and home delivery services in the destination country that is enabled for you. Based on the payer, there may be requirements for specific information and restrictions on payment amounts. For bill payment transactions, the details of each payer's services and information requirements can be obtained through the catalog.&#x20;

### Get payer list <a href="#get-payer-list" id="get-payer-list"></a>

#### `GET /payers?country={{Country}}&payout_method={{payout_method}}` <a href="#get-payers-country-country" id="get-payers-country-country"></a>

For example, in order to get payers for Mexico, it will be {Country: MX or MEX} and for India, it will be {Country:IN or IND} and so on.

{% tabs %}
{% tab title="Request Sample" %}
**Cash Pickup**

```
curl --location -g --request GET '{{url}}/payers?country=GH&delivery_method=CASH_PICKUP' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

**Wallet**

```
curl --location -g --request GET '{{url}}/payers?country=GH&delivery_method=WALLET' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}
**Cash Pickup**

```
[
    {
        "country": "GH",
        "delivery_method": "CASH_PICKUP",
        "id": 6,
        "name": "Express Union",
        "pickup_location": []
    },
    {
        "country": "GH",
        "delivery_method": "CASH_PICKUP",
        "id": 7,
        "name": "WARI",
        "pickup_location": []
    },
    {
        "country": "GH",
        "delivery_method": "CASH_PICKUP",
        "id": 8,
        "name": "Wizall",
        "pickup_location": []
    },
    {
        "country": "GH",
        "delivery_method": "CASH_PICKUP",
        "id": 9,
        "name": "Zeepay",
        "pickup_location": []
    }
]
```

**Wallet**

```
[
    {
        "country": "GH",
        "delivery_method": "WALLET",
        "id": 38,
        "name": "Airtel Money",
        "pickup_location": []
    },
    {
        "country": "GH",
        "delivery_method": "WALLET",
        "id": 39,
        "name": "MTN Mobile Money",
        "pickup_location": []
    },
    {
        "country": "GH",
        "delivery_method": "WALLET",
        "id": 40,
        "name": "Tigo Money",
        "pickup_location": []
    },
    {
        "country": "GH",
        "delivery_method": "WALLET",
        "id": 41,
        "name": "Vodafone Money",
        "pickup_location": []
    }
]
```

{% endtab %}
{% endtabs %}

### Get Payer by ID <a href="#get-payer-by-id" id="get-payer-by-id"></a>

If you know the ID of the payer, you can use this endpoint to get the details of the specific payer.

#### `GET /payers/{payerId}` <a href="#get-payers-payerid" id="get-payers-payerid"></a>

{% tabs %}
{% tab title="Request Sample" %}

```
curl --location -g --request GET '{{url}}/payers/38' \
--header 'X-Client-Id: {{client_id}}' \
--header 'X-Client-Secret: {{client_secret}}' \
--header 'Content-Type: application/json'
```

{% endtab %}

{% tab title="Response Sample" %}

```
{
    "code": "Airtel Money",
    "country": "GH",
    "delivery_method": "WALLET",
    "id": 38,
    "name": "Airtel Money",
    "network_limit": [],
    "pickup_location": [],
    "receiving_currency": "GHS"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://paas.docs.machnetinc.com/api-references/payout/get-payers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
